# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkVal

Inherits:
  Token
  - Object
  - Token
  - YARD::Parser::Ruby::Legacy::RubyToken::TkVal
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Overview

Represents a Ruby value

## Instance Method Summary collapse

- #initialize(line_no, char_no, value = nil) ⇒ TkVal constructor

  A new instance of TkVal.

## Constructor Details

### #initialize(line_no, char_no, value = nil) ⇒ `TkVal`

Returns a new instance of TkVal.

    86
    87
    88
    89

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 86

    def initialize(line_no, char_no, value = nil)
      super(line_no, char_no)
      set_text(value)
    end